Loaders
=======

Configuration Loaders
---------------------

.. automodule:: confii.loaders
   :members:
   :undoc-members:
   :show-inheritance:

Base Loader
-----------

.. automodule:: confii.loaders.loader
   :members:
   :undoc-members:
   :show-inheritance:

YAML Loader
-----------

.. automodule:: confii.loaders.yaml_loader
   :members:
   :undoc-members:
   :show-inheritance:

JSON Loader
-----------

.. automodule:: confii.loaders.json_loader
   :members:
   :undoc-members:
   :show-inheritance:

TOML Loader
-----------

.. automodule:: confii.loaders.toml_loader
   :members:
   :undoc-members:
   :show-inheritance:

Environment Loader
------------------

.. automodule:: confii.loaders.environment_loader
   :members:
   :undoc-members:
   :show-inheritance:

Remote Loaders
--------------

.. automodule:: confii.loaders.remote_loader
   :members:
   :undoc-members:
   :show-inheritance:
